
unit main;

{$IFDEF FPC}{$MODE objfpc}{$H+}{$ENDIF}

interface

uses
  sysutils,
  msegui,
  mseforms, { tmainform }
  msestream, { ttextstream }
  msewidgetgrid,
  msesyntaxedit,
  msesimplewidgets, { tbutton }
  msesyntaxpainter;

type
  tmainfo = class(tmainform)
    grid1: twidgetgrid;
    edit1: tsyntaxedit;
    button1: tbutton;
    painter1: tsyntaxpainter;
    procedure buttonexecute(const sender: TObject);
    procedure formcreate(const sender: TObject);
    procedure formdestroy(const sender: TObject);
  private
    fhandle: integer;
  end;

var
  mainfo: tmainfo;

implementation

uses
  main_mfm;

//edit1.syntaxpainter := painter1;
//painter1.freedeffile(fhandle);

procedure tmainfo.buttonexecute(const sender: TObject);
begin
  edit1.loadfromfile({$I %FILE%});
end;

procedure tmainfo.formcreate(const sender: TObject);
var
  s: ttextstream;
begin
  s := ttextstream.create('pascal.sdef');
  fhandle := painter1.readdeffile(s);
  if fhandle >= 0 then
  begin
    edit1.setsyntaxdef(fhandle);
  end;
  s.free;
end;

procedure tmainfo.formdestroy(const sender: TObject);
begin
  painter1.freedeffile(fhandle);
end;

end.
